FAST5_TO_SEQ_SUMMARY(1)

NAME
Fast5_to_seq_summary - generate a sequencing summary like file from a directory containing Fast5 files

DESCRIPTION
usage: Fast5_to_seq_summary [-h] [--version] --fast5_dir FAST5_DIR

--seq_summary_fn SEQ_SUMMARY_FN
    [--max_fast5 MAX_FAST5] [--threads THREADS] [--basecall_id BASECALL_ID] [--fields FIELDS [FIELDS ...]] [--include_path] [--verbose_level VERBOSE_LEVEL]

Fast5_to_seq_summary generate a sequencing summary like file from a directory containing Fast5 files

  optional arguments:

-h, --help
    show this help message and exit

--version, -v
    show program's version number and exit

--fast5_dir FAST5_DIR, -f FAST5_DIR
    Directory containing fast5 files. Can contain multiple subdirectories

--seq_summary_fn SEQ_SUMMARY_FN, -s SEQ_SUMMARY_FN
    path of the summary sequencing file where to write the data extracted from the fast5 files

--max_fast5 MAX_FAST5
    Maximum number of file to try to parse. 0 to deactivate (default: 0)

--threads THREADS, -t THREADS
    Total number of threads to use. 1 thread is used for the reader and 1 for the writer. Minimum 3 (default: 4)

--basecall_id BASECALL_ID
    id of the basecalling group. By default leave to 0, but if you perfome multiple basecalling on the same fast5 files, this can be used to indicate the corresponding group (1, 2 ...) (default: 0)

--fields FIELDS [FIELDS ...]
    list of field names corresponding to attributes to try to fetch from the fast5 files (default: ['read_id', 'run_id', 'channel', 'start_time', 'sequence_length_template', 'mean_qscore_template', 'calibration_strand_genome_template', 'barcode_arrangement'])

--include_path
    If given, the absolute path to the corresponding file is added in an extra column (default: False)

--verbose_level VERBOSE_LEVEL
    Level of verbosity, from 2 (Chatty) to 0 (Nothing) (default: 0)

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.